SDL_GetGamepadButton(3)

NAME
SDL_GetGamepadButton - Get the current state of a button on a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint8 SDL_GetGamepadButton(SDL_Gamepad *gamepad, SDL_GamepadButton button);

FUNCTION PARAMETERS

gamepad
    a gamepad

button
    a button index (one of the SDL_GamepadButton
     values)

RETURN VALUE
Returns 1 for pressed state or 0 for not pressed state or error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GamepadHasButton(3), SDL_GetGamepadAxis(3)